/**
 * @param {Request} request
 */
export function handleWebhook(request: Request): Promise<Response>;
/**
 * @param {import('./types').ParsedConfig} config
 * @returns {Promise<import('./types').Posts>}
 */
export function getPosts(config: import('./types').ParsedConfig): Promise<import('./types').Posts>;
/**
 * @param {import('./types').ParsedConfig} config
 * @returns {Promise<import('./types').PostLabels>}
 */
export function getTags(config: import('./types').ParsedConfig): Promise<import('./types').PostLabels>;
/**
 * @param {import('./types').Config} config
 */
export function githubSync(config: import('./types').Config): Promise<void>;
/**
 * @param {string} repo
 * @returns {Promise<import('./types').SortedCMS>}
 */
export function getCmsData(repo: string): Promise<import('./types').SortedCMS>;
/** @type {import('svelte/store').Writable<Object<string, import('./types').ParsedConfig>>} */
export const parsedConfigs: import('svelte/store').Writable<{
    [x: string]: import('./types').ParsedConfig;
}>;
/** @type {import('svelte/store').Writable<Object<string, import('./types').CMS>>} */
export const cms: import('svelte/store').Writable<{
    [x: string]: import('./types').CMS;
}>;
export type LinkType = "next" | "prev" | "last" | "first";
